package com.javahonk.messaging;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Map;
import java.util.Properties;

public class LoadProperties {
	
	private static Map<String, String> propKeyValue = new HashMap<>();
			
	private static void getPropertyValue() {

		Properties properties = new Properties();
		InputStream input = null;

		try {

			input = new FileInputStream("src/main/resources/Tibco.properties");
			properties.load(input);
			
			Enumeration<?> enumeration =properties.propertyNames();
			while (enumeration.hasMoreElements()) {
				String keyVal = (String) enumeration.nextElement();
				propKeyValue.put(keyVal, properties.getProperty(keyVal));				
			}			
		
		} catch (IOException ex) {
			ex.printStackTrace();
		} finally {
			if (input != null) {
				try {
					input.close();
				} catch (IOException e) {
					e.printStackTrace();
				}
			}
		}
 
	  }

	public static String getPropKeyValue(String key) {
		
		if (propKeyValue.get(key) == null) {
			getPropertyValue();
			return propKeyValue.get(key);
		}else {
			return propKeyValue.get(key);
		}
	}	

}
